MARTe2-core - User story #275

Directory Windows
13.11.2015 15:36 - André Neto

Status: Closed Start date: 13.11.2015
Priority: Normal Due date:
Assignee: André Neto % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.9 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Implement Directory (for Windows) based on the previous MARTe implementation.

Source code files modified

Source/Core/BareMetal/L0Types/Architecture/x86_cl/CompilerTypes.h
Source/Core/FileSystem/L1Portability/Directory.h
Source/Core/FileSystem/L1Portability/DirectoryScanner.h
Source/Core/FileSystem/L1Portability/Environment/Linux/DirectoryScanner.cpp
Source/Core/FileSystem/L1Portability/Environment/Windows/BasicSocket.cpp
Source/Core/FileSystem/L1Portability/Environment/Windows/BasicUDPSocket.cpp
Source/Core/FileSystem/L1Portability/Environment/Windows/Directory.cpp
Source/Core/FileSystem/L1Portability/Environment/Windows/DirectoryScanner.cpp
Source/Core/FileSystem/L1Portability/Environment/Windows/Select.cpp
Source/Core/FileSystem/L1Portability/Environment/Windows/SelectProperties.h
Source/Core/FileSystem/L1Portability/Select.h
Test/Core/FileSystem/L1Portability/BasicTCPSocketTest.cpp
Test/Core/FileSystem/L1Portability/DirectoryScannerTest.cpp
Test/Core/FileSystem/L1Portability/DirectoryTest.cpp
Test/Core/FileSystem/L1Portability/SelectTest.cpp
Test/GTest/BasicTCPSocketGTest.cpp

Test/GTest/Makefile.inc

Architecture & design review
Date of the review: 11/13/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 09/12/2015

Person who did the review: André Neto

Result of review: PASS

List of non-conformities:
As a pattern DirectoryScanner should use LinkedListHolder and not inherit from it.

Unit test review

Date of the review: 09/12/2015

Person who did the review: André Neto

Result of coverage tests review: N/A

Result of functional tests review: PASS

Result of review: FAIL

List of non-conformities:

[ FAILED ] DirectoryGTest.TestGetLastAccessTime_ReRead
[ FAILED ] DirectoryGTest.TestGetLastAccessTime_ReRead2
[ FAILED ] DirectoryGTest.TestScanFilter

Randome failures in TestScanFilter to be investigated.

These two tests require http://www.groovypost.com/howto/microsoft/enable-last-access-time-stamp-to-files-folder-windows-7/ to be
setup (but it needs admin rights)

[ FAILED ] BasicTCPSocketGTest.TestConnect
[ FAILED ] BasicTCPSocketGTest.TestRead

These tests fail randomly and seem to be associated to the quantity of open sockets (to be investigated in a later user-story).

Associated revisions

Revision 584d4d3f - 16.11.2015 11:07 - André Neto

Merge remote-tracking branch 'origin/#255_Directories' into
#275_Directory_Windows

Conflicts:
Source/Core/FileSystem/L1Portability/Environment/Linux/Makefile.inc
Source/Core/FileSystem/L1Portability/Makefile.inc

Test/Core/FileSystem/L1Portability/Makefile.inc
Test/GTest/Makefile.inc

Revision 27f0a071 - 18.11.2015 09:06 - André Neto

#275 Directory compiling. DirectoryScanner in progress.

Revision 96882141 - 18.11.2015 09:32 - André Neto

#275 Added directory files for windows implementation

Revision d7a8579c - 18.11.2015 14:26 - André Neto
#275 Directory_Windows waiting for BasicFile

Revision 2b17128d - 23.11.2015 14:56 - André Neto
#275_Directory_Windows

Unit test done. Accesstime fails.

Revision 3cd5b0b3 - 02.12.2015 12:55 - André Neto
#275 - Add Directory, DirectoryScanner and test for Windows

Add Select

Revision 5c¢fc8c08 - 09.12.2015 09:50 - Frank Perez

#275 Directory and Select ready for code revision.
http://www.groovypost.com/howto/microsoft/enable-last-access-time-stamp-to-files-folder-windows-7/

Revision 98183348 - 09.12.2015 10:10 - Frank Perez
Merge branch 'develop' into #275_Directory_Windows_bis

Conflicts:
Test/GTest/Makefile.inc

History

#1 - 16.11.2015 16:47 - Frank Perez
- Status changed from New to Code: Impl

#2 -16.11.2015 16:48 - Frank Perez

Note: merged from #253 (console)

#3 -25.11.2015 17:32 - Ivan Herrero

- Tracker changed from Design to User story

#4 - 27.11.2015 15:33 - André Neto

- Target version changed from 0.8 to 0.9

#5 - 09.12.2015 09:51 - André Neto
- Status changed from Code: Impl to Code: Rev

#6 - 09.12.2015 09:51 - André Neto

- Assignee changed from Frank Perez to André Neto

#7 - 09.12.2015 09:55 - André Neto
- Description updated

#8 - 09.12.2015 09:55 - André Neto
- Status changed from Code: Rev to Unit: Impl

#9 - 09.12.2015 09:55 - André Neto

- Assignee changed from André Neto to Frank Perez

#10 - 09.12.2015 09:55 - André Neto
- Status changed from Unit: Impl to Unit: Rev

#11 - 09.12.2015 09:55 - André Neto

- Assignee changed from Frank Perez to André Neto

#12 - 09.12.2015 10:09 - André Neto

- Description updated

#13 - 09.12.2015 10:12 - André Neto
Merged with develop in commit: 5¢fc8c0877c6¢29cd635d82f15c8488087419c7¢

#14 - 09.12.2015 10:12 - André Neto
- Status changed from Unit: Rev to Closed

#15 - 09.12.2015 11:14 - Ivan Herrero

- Description updated
